cURL
curl --request GET \
--url https://api.invopop.com/silo/v1/entries/{id}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/silo/v1/entries/{id}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/silo/v1/entries/{id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/silo/v1/entries/{id}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/silo/v1/entries/{id}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/silo/v1/entries/{id}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/silo/v1/entries/{id}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"Entries
Export an entry to a format
Convert a silo entry’s GOBL envelope into an external format, such as UBL or CII, optionally embedding the entry’s files. Nothing is stored: use the “silo.export” workflow action to keep the result as one of the entry’s files. The response is the converted document as a raw download, with the key of the format used in the “GOBL-Convert-Format” header.
GET
/
silo
/
v1
/
entries
/
{id}
/
export
cURL
curl --request GET \
--url https://api.invopop.com/silo/v1/entries/{id}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/silo/v1/entries/{id}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/silo/v1/entries/{id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/silo/v1/entries/{id}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/silo/v1/entries/{id}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/silo/v1/entries/{id}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/silo/v1/entries/{id}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"Convert a silo entry’s GOBL envelope into an external format, such as UBL or CII, and download the result. Nothing is stored: to keep the converted document as one of the entry’s files, use the
silo.export workflow action instead.
Choose formats by their key from the conversion formats endpoint, escaping each + as %2B. List several in order of preference and the first that accepts the document is used. The GOBL-Convert-Format response header names the format chosen.
To embed the entry’s files in the exported document, set attachments to all, or to a single file category: format or attachment. Use mime to limit them to particular types:
curl "https://api.invopop.com/silo/v1/entries/$ENTRY_ID/export?format=ubl%2Bpeppol%2Bbis-v3&attachments=all&mime=application/pdf" \
-H "Authorization: Bearer $INVOPOP_TOKEN" \
-o invoice.xml
Authorizations
Path Parameters
Query Parameters
Response
200 - application/octet-stream
The exported document. Content type and disposition are set according to the format.
The response is of type file.
Was this page helpful?